#include <fstream>
#include <iostream>

#include "lml.hpp"

int main(int argc, char const * const * argv)
{
	Lml::Document document {};

	{
		std::ifstream testFile {"test.lml", std::ios::binary};
		std::string testData {};		

		testFile.seekg(0, std::ios::end);
		testData.resize(testFile.tellg(), 0);
		testFile.seekg(0, std::ios::beg);
		testFile.read(testData.data(), testData.size());

		if (!document.Parse(testData))
		{
			std::cout << "Parse error";
		}
		else
		{
			testData.clear();
			document.SerializeTo(testData, 0);

			std::cout << testData;
		}
	}
}